home up refresh


[ICO]NameLast modifiedSize

[DIR]boards/16-Oct-2014 17:58 -
[DIR]nRF5_IoT_SDK/09-Dec-2015 16:38 -
[DIR]nRF5_SDK/01-Sep-2016 13:39 -
[DIR]nRF51_bluetooth_development_studio_plugin/23-Dec-2015 13:28 -

Nordic Semiconductor nRF5 Series

Welcome to SDK

The nRF5 SDK provides a rich developing environment for nRF5 Series devices by including a broad selection of drivers, libraries, examples for peripherals, SoftDevices, and proprietary radio protocols.

The SDK is delivered as a plain .zip-archive, which makes it easy to install as well as giving you the freedom to choose the IDE and compiler of your choice.

All code examples included in the SDK are tailored to compile for and run on Nordic Semiconductor's nRF5 Development Kits.

For documentation, release notes, and licenses, see the nRF5 SDK documentation overview.


The SDK is delivered in the following formats:

SDK zip installer
  • Supports the following project setup:
    • .uvproj for Keil v4.x
    • .uvprojx for Keil v5.x (introduced in SDK v7.x.x)
    • IAR project file (introduced in SDK v8.x.x, available for most of the example projects)
    • Makefile armgcc (introduced in SDK v8.x.x, available for most of the example projects)
  • Requires the nRF5 MDK to be installed separately
  • Not supported by nRF5 SDK v11.0.0 and later
  • Available for download through the Keil Pack Installer and as a separate download
  • Only for those who are using Keil 5.12 or later
  • Supports .uvprojx projects
  • For more information on CMSIS pack, see http://www.keil.com/pack/doc/CMSIS/Pack/html/index.html
SDK msi installer
  • Deprecated and replaced by the CMSIS pack format
  • Only available on SDK v6.x.x and v5.x.x
  • Only supports .uvproj for Keil v4.x

See the install.txt file for installation instructions.

The nRF5 SDK does not install the nRF5 Tools automatically. The nRF5 Tools can be downloaded from nordicsemi.com and must be installed separately.

nRF5 hardware support

nRF51 DK, nRF51 Dongle
  • Supported by nRF51 SDK v7.x.x and later
  • Supported by nRF5 SDK v11.x.x and later
nRF51822 DK, nRF51822 EK, nRF51422 DK and nRF51422 EK
  • Supported by nRF51 SDK v6.x.x and v5.x.x
  • For nRF51 SDK v7.x.x and newer, see "Using the SDK with other boards" in the Getting Started section of the SDK documentation for details on how to migrate
nRF52832 DK
  • Supported by nRF5 SDK v11.x.x and later

Feedback and suggestions are welcome on the devzone: https://devzone.nordicsemi.com/questions/

The nRF5 SDK team